Create an acknowledge
POST
/v1/acknowledge/
const url = 'https://example.com/v1/acknowledge/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"event":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/acknowledge/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "event": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Create a new acknowledge for an event.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
event
required
string format: uuid
id
required
string format: uuid
thread_event_id
required
UUID of the thread event that is acknowledged
string format: uuid
Examplegenerated
{ "event": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
event
required
string format: uuid
id
required
string format: uuid
thread_event_id
required
UUID of the thread event that is acknowledged
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
created_at
required
string format: date-time
created_by
required
string format: uuid
event
required
string format: uuid
id
required
string format: uuid
thread_event_id
required
UUID of the thread event that is acknowledged
string format: uuid
Examplegenerated
{ "event": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}